#
# spec file for package patch2mail
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
# Copyright (c) 2008-2015 Christian Boltz
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


#Compat macro for new _fillupdir macro introduced in Nov 2017
%if ! %{defined _fillupdir}
  %define _fillupdir /var/adm/fillup-templates
%endif

Name:           patch2mail
Version:        1.1.2
Release:        bp153.1.12
#
#
Summary:        Patch and package update notification via mail
#BuildRequires: bash
#
#Url:            http://blog.cboltz.de/plugin/tag/patch2mail
License:        GPL-2.0+
Group:          System/Packages
Url:            https://github.com/openSUSE/zypp-utils/tree/master/patch2mail
Source:         %{name}-%{version}.tar.bz2
#
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

Requires:       /bin/hostname
Requires:       /bin/rm
Requires:       /usr/bin/xsltproc
Requires:       cron
Requires:       grep
Requires:       mail
Requires:       mktemp
Requires:       zypper
# detailed requirements:
#      zypper    # (>= 11.0) zypp-refresh-rapper, zypper
#      zypper    # (<= 10.3) zypp-checkpatches-wrapper
#      libxslt   # xsltproc [NOT autodetected, even if rpmlint thinks so]
#      coreutils # rm
#      net-tools # hostname

%description
patch2mail checks for available updates and sends a mail to root
if any patches or updated packages (configureable) are available.

%prep
%setup -q

%build

%install
%{__install} -d -m 0755 %{buildroot}%{_datadir}/%{name}
%{__install} -d -m 0755 %{buildroot}%{_sysconfdir}/cron.daily
%{__install} -d -m 0755 %{buildroot}%{_fillupdir}/

%{__install} -m 0644 patch2mail.xsl %{buildroot}%{_datadir}/%{name}/patch2mail.xsl
%if 0%{?suse_version} < 1030
	%{__install} -m 0644 patch2mail.xsl_10.2 %{buildroot}%{_datadir}/%{name}/patch2mail.xsl
%endif

%{__install} -m 0755 patch2mail %{buildroot}%{_sysconfdir}/cron.daily/patch2mail
%if 0%{?suse_version} < 1110
	%{__install} -m 0755 patch2mail_11.0 %{buildroot}%{_sysconfdir}/cron.daily/patch2mail
%endif
%if 0%{?suse_version} < 1100
	%{__install} -m 0755 patch2mail_10.3 %{buildroot}%{_sysconfdir}/cron.daily/patch2mail
%endif
%{__install} -m 0644 patch2mail.sysconfig %{buildroot}%{_fillupdir}/sysconfig.patch2mail

echo ==== Buildroot: %{buildroot} ====
find %{buildroot}
echo ================================

%clean
%{__rm} -rf %{buildroot}

%post
%{fillup_only -n patch2mail}

%files
%defattr(-,root,root)
%{_sysconfdir}/cron.daily/%{name}
%{_datadir}/%{name}
%{_fillupdir}/sysconfig.patch2mail
%doc README COPYING

%changelog
* Thu Nov 23 2017 rbrown@suse.com
- Replace references to /var/adm/fillup-templates with new
  %%_fillupdir macro (boo#1069468)
* Fri Nov 27 2015 opensuse@cboltz.de
- add github URL to spec
* Tue Nov 17 2015 opensuse@cboltz.de
- use zypp-refresh, not the (no longer existing) zypp-refresh-wrapper
  (boo#955207)
- version 1.1.2
* Wed Mar  7 2012 opensuse@cboltz.de
- add copyright header to spec
* Mon Feb 13 2012 coolo@suse.com
- patch license to follow spdx.org standard
* Sat Jun 25 2011 opensuse@cboltz.de
- use --non-interactive to avoid endless hanging zypper process
  on unknown repo signing keys
- version 1.1.1
* Sun Jun 19 2011 opensuse@cboltz.de
- updated summary to include package updates
- version 1.1
* Sun Apr  3 2011 opensuse@cboltz.de
- include note about patches affecting the package manager
- new sysconfig option PATCHES_ONLY - set to "no" to include package
  updates in the notification mail
- added handling for package updates in patch2mail and the xslt
* Tue Nov 23 2010 opensuse@cboltz.de
- version 1.0
  - brand-new feature: the package now contains a copy of the
    GPL ;-)) [bnc #655441]
  - tarball contains up-to-date specfile again
  - no code changes
* Thu Nov 18 2010 opensuse@cboltz.de
- spec file cosmetics: GPLv2+ instead of just GPL
* Mon Nov 15 2010 opensuse@cboltz.de
- spec file cleanup (using spec-cleaner)
* Thu Aug 20 2009 opensuse@cboltz.de
- spec file improvements (better Requires:) (by AdrianS)
* Sun Apr 12 2009 opensuse@cboltz.de
- version 0.9.5
* Wed Apr  8 2009 anschneider@exsuse.de
- added support for sysconfig
- use install instead of cp and mkdir
* Sun Dec 14 2008 opensuse@cboltz.de
- added %%dir for datadir to avoid "file listed twice" warning
* Tue Dec  9 2008 opensuse@cboltz.de
- some small output fixes
- enforce LANG=C to avoid charset problems in zypper output
- version 0.9.4
* Fri Nov 21 2008 opensuse@cboltz.de
- update for openSUSE 11.1 (zypper needs "lu -t patch" now)
- version 0.9.3
* Sun Jul 20 2008 opensuse@cboltz.de
- update for openSUSE 11.0 (scripts for older versions still included)
- require cron to ensure the script is running daily
- version 0.9.2
* Mon Feb 18 2008 opensuse@cboltz.de
- Initial SVN commit of patch2mail
- SVN: http://svn.opensuse.org/svn/zypp/trunk/tools/patch2mail
- version 0.9.1
